<template>
    <div class="input-kit">
        <input
            ref="input"
            :value="value"
            :name="name"
            :placeholder="placeholder"
            type="text"
            class="input main"
            @input="$emit('input', $event.target.value)"
        >
        <transition name="slide">
            <div v-show="error && !value">
                <div class="error-message input-kit__error-message">
                    {{ error }}
                </div>
            </div>
        </transition>
    </div>
</template>

<script>
export default {
    name: 'base-field-input',
    props: {
        value: [String, Number],
        name: {
            type: String,
            required: true
        },
        placeholder: {
            type: String,
            default: ''
        },
        error: String
    }
};
</script>
